Bug 170222 - First boot after upgrade fails when reading physical volumes
First boot after upgrade fails when reading physical volumes
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-09 07:45 EDT by petri.poyhonen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-29 12:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description petri.poyhonen 2005-10-09 07:45:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fi-FI; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Installation of an upgrade to my FC3 succeeds.  When rebooting, during the first boot, the system halts.  The system responds to ctrl-alt-del, but never passes thi point.

Last messages on are:

Booting Fedora Core (2.6.11-1-1369_FC4)
root (hd0,0)
Filesystem type is ext2fs, partitioning type 0x83
kernel /vmlinuz-2.6.11-1.1369_FC4 ro root=/dev/VolGroup00/LogVol00 rhgb quiet 
   [Linux-bzImage, setup=0x1e00, size=0x18e473]
initrd /initrd-2.6.11-1.1369_FC4.img
   [Linux-initrd @ 0xfe3e000, 0x1a1198 bytes]

Uncompressing Linux ... Ok, booting the kernel
Red Hat nash version 4.2.15 starting
   Reading all physcial volumes.  This may take a while ...

*** this is where the activity stops.  Hard disk indicators shows activity n the disk for about 10 seconds and after that everything goes quite.

Version-Release number of selected component (if applicable):
Fedora Core 2.6.11-1.1369_FC4

How reproducible:

Steps to Reproduce:
1.Upgrade from FC3
2.Boot first time.

Actual Results:  System hangs.  No way forward.  ctrl-alt-del will allow a new boot attempt, but the same repeats.

Expected Results:  The system should have booted with my user information from FC3 available.

Additional info:
Comment 1 petri.poyhonen 2005-10-09 12:36:01 EDT
After booting with the rescue cd:

"fsck /dev/hda" reports:
WARNING: could not open /etc/fstab: no such file
Could not find ext2 superblock, trying backup blocks ...
fsck.ext2: Bad magic number in super-block while trying to open /dev/hda

"e2fsck -b 8193 /dev/hda" reports:
e2fsck 1.37
Bad magic number in super-block while trying to open /dev/hda

Superblock backup does not work ?
Upgrade from FC3 has corrupted the disk ?
Comment 2 petri.poyhonen 2005-10-22 12:20:39 EDT
After this message is delivered
Reading all physcial volumes.  This may take a while ...

... the system apparently is confused by the cd-rom drive.  error messages
complaint that hdc device is not ready.  cd-rom is the master device in the
second IDE bus.

system boots without problems, if cd-rom drive has a disk inserted, but hangs
(for about 20 minutes), if the drive does not have a disk inserted when booting.

is this a bug ?
automount of cd-roms seems to work fine, after the system has successfully booted.

Comment 3 petri.poyhonen 2005-10-23 10:42:43 EDT
This still looks like a bug.

While "reading physical voumes", system is somehow stuck with the cd-rom drive.
 The indicator in the drive is blinking and it sounds like it would constantly
try to wind the drive.  After about 1 minute of this (and this is exceltional
delay, according to my previous in how red hast boots) we get a message
indicating that hdc drive is not ready for command.  From that point the boot
progresses normally.    This is the behavior, if I have a disk inserted in the

In the absence of a disk, this leads to at least 20 min of hang with various
error messages, and then eventually the boot continues.

Comment 4 petri.poyhonen 2005-10-29 12:33:11 EDT
Changed the cd-rom drive again.  Now the system boots as I would expect.
Now looks lime hardware incompatibility, as this cd-rom worked fine with FC 3
(and a windows system before that).

Not a bug.

Note You need to log in before you can comment on or make changes to this bug.